Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598496 - Failure with IPA access provider
Summary: Failure with IPA access provider
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Stephen Gallagher
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 14:03 UTC by Sumit Bose
Modified: 2015-01-04 23:42 UTC (History)
4 users (show)

Fixed In Version: sssd-1.2.0-13.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:39:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sumit Bose 2010-06-01 14:03:12 UTC
Description of problem:
The IPA access provider fails with a "System Error"

Version-Release number of selected component (if applicable):
1.2.0


How reproducible:
Log into a host where the IPA access provider is enabled and the host does not belong to any IPA host groups. 

  
Actual results:
The access is denied although the password is correct and the IPA HBAC rule would allow the access.


Expected results:
Access is granted


Additional info:
This error is triggered by a bugfix in libldb. Recent versions of libldb do not allow to save empty attributes.

Comment 4 Jenny Galipeau 2010-08-10 18:30:23 UTC
verified RHEL 6:

[root@jennyv2 ~]# kinit mmouse
Password for mmouse@BOS.REDHAT.COM: 

[root@jennyv2 ~]# ssh mmouse@dhcp-100-3-186.bos.redhat.com
Last login: Tue Aug 10 13:46:06 2010 from 10.16.0.47
Could not chdir to home directory /home/mmouse: No such file or directory
-sh-4.0$ 

sssd version:

sssd-1.2.1-26.el6.i686

ipa-client version:

ipa-client-2.0-9.el6.i686

Comment 5 Jenny Galipeau 2010-08-10 18:31:58 UTC
one more thing ... not a member of any hostgroups ....

# jennyv2.bos.redhat.com, computers, accounts, bos.redhat.com
dn: fqdn=jennyv2.bos.redhat.com,cn=computers,cn=accounts,dc=bos,dc=redhat,dc=c
 om
cn: jennyv2.bos.redhat.com
objectClass: ipaobject
objectClass: nshost
objectClass: ipahost
objectClass: pkiuser
objectClass: ipaservice
objectClass: krbprincipalaux
objectClass: krbprincipal
objectClass: top
fqdn: jennyv2.bos.redhat.com
managedBy: fqdn=jennyv2.bos.redhat.com,cn=computers,cn=accounts,dc=bos,dc=redh
 at,dc=com
ipaUniqueID: f1d71311-a4a4-11df-8db2-000c29a5c12c
krbPrincipalName: host/jennyv2.bos.redhat.com@BOS.REDHAT.COM
serverHostName: jennyv2
krbLastPwdChange: 20100810173018Z
krbPrincipalKey:: MIIBKKADAgEBoQMCAQGiAwIBAaMDAgEApIIBEDCCAQwwS6FJMEegAwIBEqFA
 BD4gAFz+ipxlxn0x/+RMkom30DSp6c27NtkdeUNHiWlhhk+6Uc7uVXhcwBMrUFMgC/N6AfxiFnz+v
 ab2jU7KNDA7oTkwN6ADAgERoTAELhAAkB9u8pLyNaJ4OBZYRna5w+ITKEc/7kAX1RT4/841fHWSLK
 n+YHga1dxpR3IwQ6FBMD+gAwIBEKE4BDYYAP0Rxc7iXrCyadDkZnlubZC07n4mld9dwZNKgNRapRb
 gkj+um2DmbicWqZ9LO0j2AhlJgywwO6E5MDegAwIBF6EwBC4QADgvegF0SDnN28JSTuD4fTif9N+g
 jL1I256+OTJQDOHx/M1nJ055XHJttzGj
enrolledBy: uid=admin,cn=users,cn=accounts,dc=bos,dc=redhat,dc=com

Comment 6 releng-rhel@redhat.com 2010-11-10 21:39:46 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.